Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Drools Planner distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drools.planner.examples.machinereassignment.solver.score
Class MachineReassignmentIncrementalScoreCalculator

    java.lang.Object
      org.drools.planner.core.score.director.incremental.AbstractIncrementalScoreCalculator<MachineReassignment>
          org.drools.planner.examples.machinereassignment.solver.score.MachineReassignmentIncrementalScoreCalculator

All Implemented Interfaces:
  IncrementalScoreCalculator<MachineReassignment>

    public class MachineReassignmentIncrementalScoreCalculator

extends AbstractIncrementalScoreCalculator<MachineReassignment>

Field Summary
`protected org.slf4j.Logger` | `logger`

Constructor Summary
`MachineReassignmentIncrementalScoreCalculator()`

Method Summary
`void` | `afterAllVariablesChanged(Object entity)`
`void` | `afterEntityAdded(Object entity)`
`void` | `afterEntityRemoved(Object entity)`
`void` | `afterVariableChanged(Object entity, String variableName)`
`void` | `beforeAllVariablesChanged(Object entity)`
`void` | `beforeEntityAdded(Object entity)`
`void` | `beforeEntityRemoved(Object entity)`
`void` | `beforeVariableChanged(Object entity, String variableName)`
`String` | `buildScoreCorruptionAnalysis(IncrementalScoreCalculator uncorruptedIncrementalScoreCalculator)`
`HardSoftLongScore` | `calculateScore()`
`void` | `resetWorkingSolution(MachineReassignment machineReassignment)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### logger

    protected final transient org.slf4j.Logger logger

Constructor Detail

### MachineReassignmentIncrementalScoreCalculator

    public MachineReassignmentIncrementalScoreCalculator()

Method Detail

### resetWorkingSolution

    public void resetWorkingSolution(MachineReassignment machineReassignment)

### beforeEntityAdded

    public void beforeEntityAdded(Object entity)

### afterEntityAdded

    public void afterEntityAdded(Object entity)

### beforeAllVariablesChanged

    public void beforeAllVariablesChanged(Object entity)

### afterAllVariablesChanged

    public void afterAllVariablesChanged(Object entity)

### beforeVariableChanged

    public void beforeVariableChanged(Object entity,
                                      String variableName)

### afterVariableChanged

    public void afterVariableChanged(Object entity,
                                     String variableName)

### beforeEntityRemoved

    public void beforeEntityRemoved(Object entity)

### afterEntityRemoved

    public void afterEntityRemoved(Object entity)

### calculateScore

    public HardSoftLongScore calculateScore()

  Returns:
    never null

### buildScoreCorruptionAnalysis

    public String buildScoreCorruptionAnalysis(IncrementalScoreCalculator uncorruptedIncrementalScoreCalculator)

  Specified by:
    `buildScoreCorruptionAnalysis` in interface `IncrementalScoreCalculator<MachineReassignment>`
  Overrides:
    `buildScoreCorruptionAnalysis` in class `AbstractIncrementalScoreCalculator<MachineReassignment>`
  Parameters:
    `uncorruptedIncrementalScoreCalculator` - never null
  Returns:
    null if this `IncrementalScoreCalculator` implementation does not support this.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Drools Planner distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.